import React, { Component } from "react";
import { Image, StyleSheet, View } from "react-native";
import { instructionData } from "./src/common/Services/instruction";
import { SCREEN_WIDTH, SCREEN_HEIGHT } from "./src/common/Constants";
import Header from "./src/Screens/Header";
import VechicleSurveyInstruction from "./src/Screens/VechicleSurveyInstruction";
import Orientation from "../../node_modules/react-native-orientation";
import { PrimaryButton } from "./src/common/ThemedComponents";
import { translate } from "react-native-digitcamera/src/common/localize/i18n";
const camera = require("./src/common/Image/camera.png");
const recorder = require("./src/common/Image/recorder.png");
let index=0
// Global Veriables
let instuction = [];

export default class PI extends Component {
  constructor(props) {
    super(props);
    this.state = {
      title: "",
      subTitle: "",
      image: "",
      points: [],
      index: 0,
      totalSteps: "",
      staincil: "",
      imageName: "",
    };
  }
  componentWillUnmount() {
    this.unsubscribe();
  }
  componentDidMount() {
    this.unsubscribe = this.props.navigation.addListener("focus", () => {
      Orientation.lockToPortrait();
    });
    this.callInstructionServices();
    instuction = [];
    console.log(this.props.route.params);
  }
  callInstructionServices = async () => {
    let V_instuction = await instructionData({
      typeId: "5",
    });

    V_instuction.TSurveySteps.map((item) => {
      instuction.push(item);
 
      // One Time call from here
      this.updateInstructionData();
    });
  };

  updateInstructionData() {
    if (index < instuction.length) {
      this.setState({
        title: instuction[index].stepTitle,
        staincil: instuction[index].stepStencilAssests,
        imageName: instuction[index].imageName,
        subTitle: instuction[index].description,
        image: instuction[index].stepAssests,
        points: instuction[index].TSurveyInstructions,
        totalSteps: instuction.length,
      });
    }
  }
  render() {
    return (
      <View style={styles.main}>
        <Header
          currentStep={index}
          totalSteps={this.state.totalSteps}
          showSteps={true}
          onbackPress={() => {
            if (index > 0) {
                index=index - 1
              this.setState({
                title: instuction[index].stepTitle,
                staincil: instuction[index].stepStencilAssests,
                imageName: instuction[index].imageName,
                subTitle: instuction[index].description,
                image: instuction[index].stepAssests,
                points: instuction[index].TSurveyInstructions,
                totalSteps: instuction.length,
              });

            }
          }}
        ></Header>
        {/* Instructions */}
        <VechicleSurveyInstruction
          title={this.state.title}
          subTitle={this.state.subTitle}
          image={this.state.image}
          points={this.state.points}
        />
        {
          this.state.title=="CNG Kit"?(
                  <PrimaryButton
                  style={{ marginBottom: 24, marginRight: 24, marginLeft: 24 }}
                  mode={"outlined"}
          color={"#FFFFFF"}
          onPress={()=>{
            //show next steps and re render the data on screen
            index=index+1
            this.updateInstructionData();

          }}
        >
          {translate("Skip this step")}
        </PrimaryButton>
          ):null
        }
  
        <PrimaryButton
          style={{ marginBottom: 24, marginRight: 24, marginLeft: 24 }}
          onPress={() => {
            if(index<instuction.length){
    index= index + 1 
            this.props.navigation.navigate("Camera", {
              title: this.state.title,
              stepStencilAssests: this.state.staincil,
              DocumentImageName: this.state.imageName,
            });
            this.updateInstructionData();
            }
      
          }}
          icon={({ color, size }) => {
            return this.state.title == "Take a 360° Video" ? (
              <Image source={recorder} style={{ width: 30, height: 30 }} />
            ) : (
              <Image source={camera} style={{ width: 30, height: 30 }} />
            );
          }}
        >
          {this.state.title == "Take a 360° Video"
            ? translate("Capture Video")
            : translate("Capture Image")}
        </PrimaryButton>
      </View>
    );
  }
}
const styles = StyleSheet.create({
  main: {
    backgroundColor: "#FFFFFF",
    flex: 1,
  },
});
